package com.qianhe.zqcz.xmrylsjl.service;

import com.qianhe.zqcz.xmrylsjl.domain.XccjqktjVo;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjl;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlQuery;
import com.qianhe.zqcz.xmrylsjl.domain.ZqczXmRyLsjlVo;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface ZqczXmRyLsjlService {
    /**
     * 条件查询
     */
    List<ZqczXmRyLsjlVo> list(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 根据基层任务ID 开始项目抽检
     */
    int spotCheckAdd(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 修改
     */
    int edit(ZqczXmRyLsjl zqczXmRyLsjl, String username);

    /**
     * 现场抽取情况统计
     */
    List<XccjqktjVo> spotCheckStatus(ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);

    /**
     * 现场抽取情况表导出
     */
    void spotCheckStatusExport(HttpServletResponse response, ZqczXmRyLsjlQuery zqczXmRyLsjlQuery);
}
